<!DOCTYPE html>
<html>
<head>
  <title>Embedding Dezrann</title>
  <meta charset="UTF-8">
  <script src="https://cdn.jsdelivr.net/npm/vue@2.6.0"></script>
  <script src="https://dezrann.net/wc/dezrann-canvas.js"></script>
  <!--
  <script src="../dist/wc/dezrann-canvas.js"></script>
  -->
</head>
<body>

  <h3>
    <button onclick='toggle("fugue")'>▶️</button>
    The fugue in C minor BWV847
  </h3>
  <div style="overflow:scroll; width:100%">
    <dezrann-canvas id='fugue' onclick="toggle()" piece-path="bach-fugues/bwv847" analysis-id="02-bwv847-ref.dez" audio-index="1"></dezrann-canvas>
  </div>

  <h3>
    <button onclick='toggle("fugue-2")'>▶️</button>
    The fugue in C minor BWV847, waves
  </h3>
  <div style="overflow:scroll; width:1000px">
    <dezrann-canvas id='fugue-2' onclick="toggle()" piece-path="bach-fugues/bwv847" analysis-id="02-bwv847-ref.dez" source-id="2" audio-index="1"></dezrann-canvas>
  </div>

  <h3>
    <button onclick='toggle("pierrette")'>▶️</button>
    Pierrette : air de ballet, piano roll from SUPRA
  </h3>
  <div style="overflow:scroll; width:100%">
    <dezrann-canvas id="pierrette" piece-path="supra/WM_1127_zf037wk3650" analysis-id="empty.dez" audio-index="0">Play !</dezrann-canvas>
  </div>

  <h3>
    <button onclick='toggle("lindenbaum")'>▶️</button>
    Der Lindenbaum
  </h3>
  <div style="overflow:scroll; width:1000px">
    <dezrann-canvas id="lindenbaum" onclick="toggle()" piece-path="schubert-winterreise/05" analysis-id="05.dez" audio-index="1"></dezrann-canvas>
  </div>

  <h2>Other examples</h2>

  <h3>The fugue in C major BWV846, small height</h3>
  <div style="overflow:scroll; width:1000px; height:100px">
    <dezrann-canvas piece-path="bach-fugues/bwv846" analysis-id="01-bwv846-ref.dez" audio-index="1"></dezrann-canvas>
  </div>

  <h3>Bergeslust (bug measure-map)</h3>
  <div style="overflow:scroll; width:1000px">
    <dezrann-canvas piece-path="openscore-lieder/5000446" analysis-id="analysis_dez_format.dez"></dezrann-canvas>
  </div>

  <h3>La coccinelle (bug Neuma)</h3>
  <div style="overflow:scroll; width:1000px">
    <dezrann-canvas piece-path="collabscore/all-collabscore-saintsaens-ref-C079_0"></dezrann-canvas>
  </div>
  <script lang="javascript">
    function toggle(id) {
      let element = id ? document.getElementById(id) : document.activeElement;
      element.playing = !element.playing;
    }
  </script>
</body>
</html>
